From: Maximiliano Curia <maxy@gnuservers.com.ar>
Date: Thu, 25 Jan 2018 11:02:56 -0300
Subject: Allow packagers set kconfig_compiler install dir

Origin: Debian
Bug-Debian: https://bugs.debian.org/887452
Last-Update: 2018-01-25
---
 CMakeLists.txt                      | 3 +++
 src/kconfig_compiler/CMakeLists.txt | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

Index: kconfig/CMakeLists.txt
===================================================================
--- kconfig.orig/CMakeLists.txt
+++ kconfig/CMakeLists.txt
@@ -73,6 +73,9 @@ endif()
 include (ECMPoQmTools)
 ecm_install_po_files_as_qm(poqm)
 
+# allow kconfig_compiler install dir to be set as a configure argument
+set(KCONFIG_COMPILER_INSTALL_DIR "${KDE_INSTALL_LIBEXECDIR_KF5}" CACHE STRING
+   "Set directory for kconfig compiler tool")
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Config")
Index: kconfig/src/kconfig_compiler/CMakeLists.txt
===================================================================
--- kconfig.orig/src/kconfig_compiler/CMakeLists.txt
+++ kconfig/src/kconfig_compiler/CMakeLists.txt
@@ -25,4 +25,4 @@ target_link_libraries(kconfig_compiler Q
 
 ecm_mark_nongui_executable(kconfig_compiler)
 
-install(TARGETS kconfig_compiler EXPORT KF6ConfigCompilerTargets DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})
+install(TARGETS kconfig_compiler EXPORT KF6ConfigCompilerTargets DESTINATION ${KCONFIG_COMPILER_INSTALL_DIR})
